package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class KonsultasiVO extends BaseTransactionVO{
	@ManyToOne
	@JoinColumn(name = "ObjectantrianPasienDiPeriksaFk")
	@Caption(value="Object antrianPasienDiPeriksa")
	private AntrianPasienDiPeriksaVO antrianPasienDiPeriksa;

	@Column(name = "ObjectantrianPasienDiPeriksaFk", insertable=false,updatable=false,nullable=false)
	private String antrianPasienDiPeriksaId;

	@Column(name = "tanggalKonsultasi", nullable = true)
	@Caption(value = "tanggalKonsultasi")
	private Date tanggalKonsultasi;

	@ManyToOne
	@JoinColumn(name = "ObjecttujuanKonsultasiFk")
	@Caption(value="Object tujuanKonsultasi")
	private RuanganVO tujuanKonsultasi;

	@Column(name = "ObjecttujuanKonsultasiFk", insertable=false,updatable=false,nullable=true)
	private Integer tujuanKonsultasiId;

	@Column(name = "ikhtiarKlinik", nullable = true)
	@Caption(value = "ikhtiarKlinik")
	private String ikhtiarKlinik;
	
	@Caption(value="Jawaban Konsultasi")
	@Column(name = "JawabanKonsultasi", nullable = true )
	private String jawabanKonsultasi;

	public AntrianPasienDiPeriksaVO getAntrianPasienDiPeriksa() {
		return antrianPasienDiPeriksa;
	}

	public void setAntrianPasienDiPeriksa(AntrianPasienDiPeriksaVO antrianPasienDiPeriksa) {
		this.antrianPasienDiPeriksa = antrianPasienDiPeriksa;
	}

	public String getAntrianPasienDiPeriksaId() {
		return antrianPasienDiPeriksaId;
	}

	public void setAntrianPasienDiPeriksaId(String antrianPasienDiPeriksaId) {
		this.antrianPasienDiPeriksaId = antrianPasienDiPeriksaId;
	}

	public Date getTanggalKonsultasi() {
		return tanggalKonsultasi;
	}

	public void setTanggalKonsultasi(Date tanggalKonsultasi) {
		this.tanggalKonsultasi = tanggalKonsultasi;
	}

	public RuanganVO getTujuanKonsultasi() {
		return tujuanKonsultasi;
	}

	public void setTujuanKonsultasi(RuanganVO tujuanKonsultasi) {
		this.tujuanKonsultasi = tujuanKonsultasi;
	}

	public Integer getTujuanKonsultasiId() {
		return tujuanKonsultasiId;
	}

	public void setTujuanKonsultasiId(Integer tujuanKonsultasiId) {
		this.tujuanKonsultasiId = tujuanKonsultasiId;
	}

	public String getIkhtiarKlinik() {
		return ikhtiarKlinik;
	}

	public void setIkhtiarKlinik(String ikhtiarKlinik) {
		this.ikhtiarKlinik = ikhtiarKlinik;
	}

	public String getJawabanKonsultasi() {
		return jawabanKonsultasi;
	}

	public void setJawabanKonsultasi(String jawabanKonsultasi) {
		this.jawabanKonsultasi = jawabanKonsultasi;
	}
		
}
